LibreOffice: DocumentBuilder Service Reference

LibreOffice LibreOffice 5.3 SDK API Reference

List of all members
DocumentBuilder Service Reference

`import"DocumentBuilder.idl";`

Inheritance diagram for DocumentBuilder:

## Additional Inherited Members
Public Member Functions inherited from XDocumentBuilder
XDOMImplementation | getDOMImplementation ()
| Obtain an instance of a DOMImplementation object. More...
boolean | isNamespaceAware ()
| Indicates whether or not this parser is configured to understand namespaces. More...
boolean | isValidating ()
| Indicates whether or not this parser is configured to validate XML documents. More...
XDocument | newDocument ()
| Obtain a new instance of a DOM Document object to build a DOM tree with. More...
XDocument | parse ([in] com::sun::star::io::XInputStream is) raises ( com::sun::star::xml::sax::SAXException, com::sun::star::io::IOException )
| Parse the content of the given InputStream as an XML document and return a new DOM Document object. More...
XDocument | parseURI ([in] string uri) raises ( com::sun::star::xml::sax::SAXException, com::sun::star::io::IOException )
| Parse the content of the given URI as an XML document and return a new DOM Document object. More...
void | setEntityResolver ([in] com::sun::star::xml::sax::XEntityResolver er)
| Specify the EntityResolver to be used to resolve entities present in the XML document to be parsed. More...
void | setErrorHandler ([in] com::sun::star::xml::sax::XErrorHandler eh)
| Specify the ErrorHandler to be used to report errors present in the XML document to be parsed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

The documentation for this service was generated from the following file:

- com/sun/star/xml/dom/DocumentBuilder.idl